Export orders as CSV
curl --request GET \
--url https://api.kyrenpay.com/v1/orders/export \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kyrenpay.com/v1/orders/export"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kyrenpay.com/v1/orders/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"code": 401,
"message": "Unauthorized"
}Orders
Export orders as CSV
Exports orders within the specified date range as a CSV file. Use Unix timestamps (milliseconds) for startDate and endDate.
GET
/
v1
/
orders
/
export
Export orders as CSV
Authorizations
Your API key. Public production API-key endpoints accept kyren_live_* keys. Staging credentials are environment-specific and must be used only with the staging environment for which Kyren issued them.
Query Parameters
Start of date range (Unix timestamp in milliseconds, inclusive)
End of date range (Unix timestamp in milliseconds, inclusive)
Response
CSV file of orders
The response is of type file.